//       SQUALL.DLL
//  TMT Pascal, Free Pascal
// -------------------------------------------------------------------------
//  :   E-Mail marat@antitank.net
//     pascal:  
// -------------------------------------------------------------------------
//    PASCAL  :   cdecl  stdcall?
//   SQUALL   C++,    cdecl.
//   :)       .

program squallplay;

// TMT Pascal 4.01
{$IFDEF __VER4__}
uses windows,crt;
{$ifndef __CON__}
  This program must be compiled for Win32 console mode
{$endif}
{$ENDIF}

// Free Pascal 2.0.0
{$IFDEF FPC}
{$MODE DELPHI} //    
uses windows,crt;
{$ENDIF}

const squalldll='Squall.dll'; // SQUALL.DLL v 1.45

//   ,
//        squall.h
//   DLL  ,    ++.    
//     antitank.net

function SQUALL_Init(param:pointer):integer; cdecl; external squalldll name 'SQUALL_Init';
procedure SQUALL_Free; cdecl; external squalldll name 'SQUALL_Free';
function SQUALL_Sample_LoadFile(FileName:Pchar;MemFlag:integer;Default:pointer):integer; cdecl; external squalldll name 'SQUALL_Sample_LoadFile';
function SQUALL_Sample_Play(SampleID:integer; Loop:integer; Group:integer; Start:integer):integer; cdecl; external squalldll name 'SQUALL_Sample_Play';

var sample, channel:integer;

begin

 //   
 SQUALL_Init(nil);

 //  
 sample:= SQUALL_Sample_LoadFile('enigma.mp3', 1, nil);

 //  
 channel:= SQUALL_Sample_Play(sample, 0, 0, 1);

 //  
 repeat
  sleep(100); //   ,      
  writeln('SQUALL ETO KRUTO!'); //   ,     
 until keypressed;

 Squall_Free;
end.